Subject: Re: [PATCH V6 net-next 06/11] net: Introduce a new MII time stamping interface.

From: Andrew Lunn <[email-masked]>
Date: Fri, 20 Dec 2019 16:33:59 +0100

On Fri, Dec 20, 2019 at 06:57:12AM -0800, Richard Cochran wrote:
> On Tue, Dec 17, 2019 at 10:21:55AM +0100, Andrew Lunn wrote:
> > Forward declarations are considered bad.
> 
> Not by me!

Lets see what David says.

> > For the moment what you have is sufficient. I doubt anybody is using
> > the dp83640 with phylink, and the new hardware you are targeting seems
> > to be RGMII based, not SERDES, which is the main use case for PHYLINK.
> 
> Yeah, my impression is that the phyter will be the first and last phy
> time stamping device ever created.  Designers reject this part because
> it is 100 mbit only.  And there are no gigabit+ phys with time
> stamping at all.

The Marvell PHY datasheets indicate they support PTP. I've not looked
at how they implement it, and if the current model will work.

   Andrew